-----------------------------------------------------------------------
-- AddOn namespace.
-----------------------------------------------------------------------
local ADDON_NAME, private = ...

local LibStub = _G.LibStub

local WardrobeAchiever = LibStub("AceAddon-3.0"):GetAddon("WardrobeAchiever")
local AL = LibStub("AceLocale-3.0"):GetLocale("WardrobeAchiever", false)

-----------------------------------------------------------------------
-- Config option functions.
-----------------------------------------------------------------------
local general_options

local function GetGeneralOptions()
	if not general_options then
		local db = private.db

		general_options = {
			type = "group",
			order = 1,
			name = _G.GENERAL_LABEL,
			handler = WardrobeAchiever,
			desc = "Opciones generales",
			args = {
				hideMapIcon = {
					order = 0,
					name = AL["HIDE_MINIMAP_ICON"],
					desc = AL["HIDE_MINIMAP_ICON_DESC"],
					type = "toggle",
					get = function() return db.minimap.hide end,
					set = function(_, value)
						db.minimap.hide = value
						WardrobeAchiever:ToggleMinimapIcon()
					end,
					width = "full",
				},
				hideCompleted = {
					order = 1,
					name = AL["HIDE_COMPLETED_ACHIS"],
					desc = AL["HIDE_COMPLETED_ACHIS_DESC"],
					type = "toggle",
					get = function() return db.general.hideCompleted end,
					set = function(_, value)
						db.general.hideCompleted = value
						WardrobeAchiever:ApplyFilters()
					end,
					width = "full",
				}
			},
		}
	end
	
	return general_options
end

function WardrobeAchiever:SetupOptions()
	local WardrobeAchieverAC = LibStub("AceConfig-3.0")
	WardrobeAchieverAC:RegisterOptionsTable("WardrobeAchiever General", GetGeneralOptions)

	local WardrobeAchieverACD = LibStub("AceConfigDialog-3.0")
	WardrobeAchieverACD:AddToBlizOptions("WardrobeAchiever General", _G.GENERAL_LABEL, "WardrobeAchiever")
end